## org.eclipse.datatools.connectivity.ui.wizards
Class NewFilteredCPWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
              org.eclipse.datatools.connectivity.internal.ui.wizards.NewCPWizard
                  org.eclipse.datatools.connectivity.ui.wizards.NewFilteredCPWizard

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.IMediator, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  NewJDBCFilteredCPWizard

    public class NewFilteredCPWizard

extends org.eclipse.datatools.connectivity.internal.ui.wizards.NewCPWizard

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`NewFilteredCPWizard()`
`NewFilteredCPWizard(org.eclipse.jface.viewers.ViewerFilter[] filters, IConnectionProfile parentProfile)`
`NewFilteredCPWizard(org.eclipse.jface.viewers.ViewerFilter filter, IConnectionProfile parentProfile)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.NewCPWizard
`addPages, canFinish, createPageControls, getContext, getContextChangeMask, getParentProfile, getSearchExpression, init, needsPreviousAndNextButtons, performFinish`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
`getNextPage, getPreviousPage, getStartingPage, getSummaryData, mediatePage`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewFilteredCPWizard

    public NewFilteredCPWizard()

### NewFilteredCPWizard

    public NewFilteredCPWizard(org.eclipse.jface.viewers.ViewerFilter filter,
                               IConnectionProfile parentProfile)

### NewFilteredCPWizard

    public NewFilteredCPWizard(org.eclipse.jface.viewers.ViewerFilter[] filters,
                               IConnectionProfile parentProfile)